# Movable Type Link plugin (C) 2010 Alfasado Inc.
# This program is distributed under the terms of the
# GNU General Public License, version 2.

package Link::L10N::ja;
use strict;
use base 'Link::L10N';
use vars qw( %Lexicon );

our %Lexicon = (
    'Manage Link object.' => 'リンクを管理します。',
    'Name'  => '名前',
    'Link'  => 'リンク',
    'Links' => 'リンク',
    'link'  => 'リンク',
    'Create Link' => 'リンクの作成',
    'Edit Link'   => 'リンクの編集',
    'Manage Links' => 'リンクの一覧',
    'Link check task' => 'リンクのチェック',
    'The Link has been deleted from the database.' => 'リンクをデータベースから削除しました。',
    'Delete selected Links (x)' => '選択したリンクを削除 (x)',
    'Delete this Link (x)' => 'このリンクを削除 (x)',
    'Save this Link (s)' => 'このリンクを保存 (s)',
    'URL' => 'URL',
    'Description' => '概要',
    'title'  => 'title属性',
    'target' => 'target属性',
    'rel'    => 'rel属性',
    'Image URL' => '画像のURL',
    'Rss URL' => 'RSSのURL',
    'Image' => '画像',
    'Notes' => 'メモ',
    'Rating' => 'ランク',
    '(Unknown)' => '不明なユーザー',
    'Link requires Name and URL.' => '名前とURLは必須項目です。',
    'Are you sure you want to move to other page?' => '他のページに移動してもよろしいですか?',
    'Are you sure you want to publish selected Links?' => '選択したリンクを公開してもよろしいですか?',
    'Are you sure you want to unpublish selected Links?' => '選択したリンクの公開を取り消してもよろしいですか?',
    'Publish Links from selected datas (p)' => '選択したリンクを公開 (p)',
    'Unpublish Links from selected datas (u)' => '選択したリンクの公開を取り消し (u)',
    'Are you sure you want to do link check?' => 'リンクチェックを実行しますか?',
    'Are you sure you want to remove this Link?' => 'このリンクを削除してよろしいですか?',
    'All' => 'すべてのリンク',
    'website and all blogs' => 'すべてのウェブサイト/ブログ',
    'Link Administrator' => 'リンク管理者',
    'Can create Link, edit Link.' => 'リンクの作成と管理ができます。',
    'List of Links' => 'リンクの一覧',
    'Link \'[_1]\' (ID:[_2]) deleted by \'[_3]\''  => '\'[_3]\'がリンク\'[_1]\'(ID:[_2])を削除しました。',
    'Link \'[_1]\' (ID:[_2]) created by \'[_3]\''  => '\'[_3]\'がリンク\'[_1]\'(ID:[_2])を保存しました。',
    'Link \'[_1]\' (ID:[_2]) edited by \'[_3]\''   => '\'[_3]\'がリンク\'[_1]\'(ID:[_2])を更新しました。',
    'Link \'[_1]\' (ID:[_2]) edited and its status changed from [_3] to [_4] by user \'[_5]\'' => '[_5]がリンク「[_1]」(ID:[_2])を更新し、公開の状態を[_3]から[_4]に変更しました。',
    'Created on'   => '作成日',
    'Modified on'  => '最終更新日',
    '_blank - new window or tab.'  => '_blank - 新しいウィンドウまたはタブで開く',
    '_top - current window or tab, with no frames.'  => '_top &nbsp;&nbsp;&nbsp;&nbsp;- フレームを解除して現在のウィンドウまたはタブに開く',
    'none - same window or tab.'  => 'none &nbsp;&nbsp;&nbsp;- 現在のウィンドウまたはタブで開く',
    'No link was selected to insert.' => 'リンクが選択されていません。',
    'Insert Link' => 'リンクの挿入',
    'Rating is 1 or more' => 'ランクが 1 以上',
    'Rating is' => 'ランクが',
    'Are you sure you want to import link from OPML?' => 'OPMLをアップロードしてデータをインポートしてよろしいですか?',
    'The Link has been imported from File.' => 'ファイルからリンクをインポートしました。',
    'The Link has not been imported from File.' => 'ファイルからリンクをインポートできませんでした。',
    'Use WYSIWYG' => 'エディタを利用する',
    'Editor CSS' => 'エディタCSS',
    'Import from OPML' => 'OPMLからインポート',
    'This URL is broken.' => 'URLが見つかりません。',
    'This RSS is broken.' => 'RSSが見つかりません。',
    'This image is broken.' => '画像が見つかりません。',
    'This URL \'[_1]\' is broken.' => 'URL\'[_1]\'が見つかりませんでした。',
    'This RSS \'[_1]\' is broken.' => 'RSS\'[_1]\'が見つかりませんでした。',
    'This image \'[_1]\' is broken.' => '画像\'[_1]\'が見つかりませんでした。',
    'Broken Link' => 'リンク切れ',
    'Active Link' => '有効',
    'Do Link check' => 'リンクチェック',
    'Do Link check (l)' => '選択したリンクをチェック (l)',
    'Check' => 'チェック',
    ' Links' => 'つのリンク',
    ' Images' => 'つの画像',
    ' RSS' => 'つのRSS',
    'Enable Link check' => 'リンクをチェックする',
    'The broken Link was found.' => 'リンク切れが見つかりました。',
    'The broken Link was not found.' => 'リンク切れは見つかりませんでした。',
    'Last-Modified' => '最終更新日',
    '[_1] where [_2] contains [_3]' => '[_2] に [_3]を含む[_1]',
    'View this link' => 'リンクを表示',
    'Search entry that contains this URL' => 'このURLを含むブログ記事を検索',
    'Search page that contains this URL'  => 'このURLを含むウェブページを検索',
    'The Link has been published.'        => 'リンクのステータスを公開にしました。',
    'The Link has been unpublished.'      => 'リンクのステータスを非公開にしました。',
    'The Link has not been published.'    => '公開するリンクはありません。',
    'The Link has not been unpublished.'  => '公開を取り消すリンクはありません。',
    'Insert Link' => 'リンクの挿入',
    'Tags with links' => 'リンクのタグ',
);

1;