<?php
# Movable Type Link plugin (C) 2010 Alfasado Inc.
# This program is distributed under the terms of the
# GNU General Public License, version 2.
function smarty_block_mtlinks( $args, $content, &$ctx, &$repeat ) {
    $localvars = array( 'link', '_links_counter', 'links', 'blog' );
    $lastn  = $args[ 'lastn' ];
    $limit  = $args[ 'limit' ];
    if ( isset ( $lastn ) ) {
        $limit = $lastn;
    }
    $offset = $args[ 'offset' ];
    if ( isset ( $offset ) ) {
        $offset = 0;
    }
    $sort_order = $args[ 'sort_order' ];
    if ( $sort_order == 'descend' ) {
        $sort_order = 'DESC';
    } else {
        $sort_order = 'ASC';
    }
    if (! isset ( $limit ) ) {
        $limit = 9999;
    }
    $sort_by  = $args[ 'sort_by' ];
    if (! isset ( $sort_by ) ) {
        $sort_by = 'id';
    }
    $group   = $args[ 'group' ];
    $tag_name = $args[ 'tag' ];
    $blog_id = $args[ 'blog_id' ];
    $rating  = $args[ 'rating' ];
    $more    = $args[ 'more' ];
    $less    = $args[ 'less' ];
    $url_active = $args[ 'url_active' ];
    $rss_active = $args[ 'rss_active' ];
    $image_active = $args[ 'image_active' ];
    if ( $blog_id == '' ) {
        $blog_id = $ctx->stash( 'blog_id' );
        $blog    = $ctx->stash( 'blog' );
    }
    if (! isset( $content ) ) {
        $ctx->localize( $localvars );
        if ( $ctx->__stash[ 'links' ] ) {
            $ctx->__stash[ 'links' ] = null;
        }
        $counter = 0;
    } else {
        $counter = $ctx->stash( '_links_counter' );
    }
    $links = $ctx->stash( 'links' );
    if (! isset( $links ) ) {
        require_once 'class.mt_link.php';
        if ( isset ( $tag_name ) ) {
            require_once 'class.mt_tag.php';
            $_tag = new Tag;
            $sql = "( tag_name = '{$tag_name}' ) AND ( binary( tag_name ) = '{$tag_name}' )";
            $results = $_tag->Find( $sql );
            if ( count( $results ) ) {
                $tag_id = $results[0]->tag_id;
                $sql = "( tag_id IN ( '{$tag_id}' ) )";
                $results = $_tag->Find( $sql );
                if ( count( $results ) ) {
                    $tag_id = $results[0]->tag_id;
                    $where = "link_blog_id = {$blog_id} AND link_status = 2 AND objecttag_tag_id = {$tag_id}"
                           . " AND objecttag_blog_id = {$blog_id}"
                           . " AND objecttag_object_datasource = 'link'"
                           . " ORDER BY link_{$sort_by} {$sort_order}"
                           ;
                    $extra[ 'join' ] = array(
                        'mt_objecttag' => array(
                            'condition' => 'link_id=objecttag_object_id',
                        ),
                    );
                }
            }
        } else {
            $where = "link_blog_id = {$blog_id} AND link_status = 2 ORDER BY link_{$sort_by} {$sort_order}";
        }
        if ( $limit ) {
            $extra[ 'limit' ] = $limit;
        }
        if ( $offset ) {
            $extra[ 'offset' ] = $offset;
        }
        if ( $rating ) {
            $where = "link_rating = {$rating} AND $where";
        } else {
            if ( $less ) {
                $less++;
                $where = "link_rating < {$less} AND $where";
            } else if ( $more ) {
                $more--;
                $where = "link_rating > {$more} AND $where";
            }
        }
        if ( $url_active ) {
            $where = "link_broken_link != 1 AND link_url != '' AND $where";
        }
        if ( $rss_active ) {
            $where = "link_broken_rss != 1 AND link_rss_address != '' AND $where";
        }
        if ( $image_active ) {
            $where = "link_broken_image != 1 AND link_image_address != '' AND $where";
        }
        $_link = new Link;
        $links = $_link->Find( $where, false, false, $extra );
        if ( count( $links ) == 0 ) {
            $links = array();
        }
        $ctx->stash( 'links', $links );
    } else {
        $counter = $ctx->stash( '_links_counter' );
    }
    if ( $counter < count( $links ) ) {
        $link = $links[ $counter ];
        $args[ 'blog_id' ] = $link->link_blog_id;
        $ctx->stash( 'link', $link );
        $ctx->stash( '_links_counter', $counter + 1 );
        $count = $counter + 1;
        $ctx->__stash[ 'vars' ][ '__counter__' ] = $count;
        $ctx->__stash[ 'vars' ][ '__odd__' ]  = ( $count % 2 ) == 1;
        $ctx->__stash[ 'vars' ][ '__even__' ] = ( $count % 2 ) == 0;
        $ctx->__stash[ 'vars' ][ '__first__' ] = $count == 1;
        $ctx->__stash[ 'vars' ][ '__last__' ] = ( $count == count( $links ) );
        $repeat = true;
    } else {
        $ctx->restore( $localvars );
        $repeat = false;
    }
    return $content;
}
?>